LINUX.ORG.RU

[gentoo] Unmask package


0

0

Не понимаю как размаскировать.

* sys-apps/uam [1]
     Available versions:  ~*0.0.3
     Homepage:            http://proj.mgorny.alt.pl/uam/
     Description:         Simple udev-based automounter for removable USB media

[1] "sunrise" /usr/local/portage/layman/sunrise

В хендбуке написано, что должна быть соответствующая запись в /usr/portage/profiles/package.mask, или в оверлее. Но uam-а нигде нет. Пробовал создавать /etc/portage/package.unmask с записью пакета, но безрезультатно. Как понимаете хочу сделать автомаунт сменных носителей, если есть способы лучше чем uam, то прошу поделиться.

как нибудь так?

cat /etc/portage/package.keywords
sys-apps/uam **
или
sys-apps/uam ~x86 или ~amd64
хз что у тебя
при попытке установки что пишет?

megabaks ★★★★ ()

emerge autounmask

Способы получше: А.Осилить-таки хэндбук B.Поставить нормальный файловый менеджер.

anonymous ()
Ответ на: комментарий от megabaks
!!! All ebuilds that could satisfy "sys-apps/uam" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-apps/uam-0.0.3 (masked by: missing keyword)
-arch keyword or -* keyword means that the application does not work on your architecture. If you believe the package does work file a bug at our bugzilla website. 

Может не стоит и пытаться?

Booster ★★ ()
Ответ на: комментарий от anonymous

>Способы получше: А.Осилить-таки хэндбук B.Поставить нормальный файловый менеджер.
Что?

Booster ★★ ()

Хотя нет, такое:

missing keyword means that the application has not been tested on your architecture yet. Ask the architecture porting team to test the package or test it for them and report your findings on our bugzilla website.

Booster ★★ ()
Ответ на: комментарий от megabaks

>в /etc/portage/package.keywords

sys-apps/uam **

Спасибо. В хендбуке оно есть и я снова промаргал?

Booster ★★ ()
Ответ на: комментарий от Booster

аха )

package.keywords
                     Per-package KEYWORDS.  Useful for mixing unstable packages in with a normally stable system  or  vice  versa.   This  will
                     allow ACCEPT_KEYWORDS to be augmented for a single package.

                     Format:
                     - comment lines begin with # (no inline comments)
                     - one DEPEND atom per line followed by additional KEYWORDS
                     - lines without any KEYWORDS imply unstable host arch

                     Example:
                     # always use unstable libgd
                     media-libs/libgd ~x86
                     # only use stable mplayer
                     media-video/mplayer -~x86
                     # always use unstable netcat
                     net-analyzer/netcat

                     Note:
                     In addition to the normal values from ACCEPT_KEYWORDS package.keywords supports three special tokens:

                     *  package is visible if it is stable on any architecture
                     ~* package is visible if it is in testing on any architecture
                     ** package is always visible (KEYWORDS are ignored completely)

                     Additional  Note:  If  you  encounter the -* KEYWORD, this indicates that the package is known to be broken on all systems
                     which are not otherwise listed in KEYWORDS.  For example, a binary only package which is built for x86 will look like:

                     games-fps/quake3-demo-1.11.ebuild:KEYWORDS="-* x86"

                     If you wish to accept this package anyways, then use one of the other keywords in your package.keywords like this:

                     games-fps/quake3-demo x86
man portage

megabaks ★★★★ ()
Ответ на: комментарий от megabaks

Что «в каких»? Файловые менджеры что ли?Тунар монтирует, наутилус монтирует, пакман тоже говорят монтирует.

anonymous ()
Ответ на: комментарий от Booster

>Хрен оно ~x86 размаскируется, там * есть.

Мне получше погуглить?Сказки не расказывайте, всё это есть.

anonymous ()
Ответ на: комментарий от anonymous

ну крусадер тоже умеет - только ТС-у имхо нужно общесистемное и ДЕ/ВМ/ФМ-независимое решение

megabaks ★★★★ ()
Ответ на: комментарий от anonymous

>Мне получше погуглить?Сказки не расказывайте, всё это есть.
Да гугли сколько влезет, в хендбуке я этого не видел.

Booster ★★ ()
Ответ на: комментарий от megabaks

Кстати, это означает что данная платформа не указана для этого пакета? Прокатило и ~*.

Booster ★★ ()
Ответ на: комментарий от megabaks

ТC-у нужна вин7 раз он не в состоянии ознакомится с документатцией.

anonymous ()
Ответ на: комментарий от anonymous

>ТC-у нужна вин7 раз он не в состоянии ознакомится с документатцией.
А тебе нужна вин8.

Booster ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.